<h1>Liste des utilisateurs</h1>

<table *ngIf="users.length>0">
    <thead>
        <tr>
            <th>Id</th>
            <th>Email</th>
            <th>Role</th>
        </tr>
    </thead>
    <tbody>
        <tr *ngFor="let user of users">
            <td>{{user.id}}</td>
            <td>{{user.email}}</td>
            <td>
                <select [(ngModel)]="user.role" (change)="switchRole(user)">
                    <option value="ROLE_USER">User</option>
                    <option value="ROLE_ADMIN">Admin</option>
                </select>
            </td>
        </tr>
    </tbody>
</table>
<p *ngIf="users.length==0">Aucun utilisateur n'a été créé</p>